using PkmnLib.Plugin.Gen7.Scripts.Pokemon;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "thousand_arrows")]
public class ThousandArrows : Script, IScriptChangeEffectiveness, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void ChangeEffectiveness(IExecutingMove move, IPokemon target, byte hit, ref float effectiveness)
    {
        if (effectiveness == 0)
            effectiveness = 1;
    }

    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        target.Volatile.Add(new ThousandArrowsEffect());
        target.Volatile.Remove<ChargeFlyEffect>();
        target.Volatile.Remove<ChargeSkyDropEffect>();
        target.Volatile.Remove<ChargeBounceEffect>();
    }
}